## org.apache.mahout.math
Class VarIntWritable

    java.lang.Object
      org.apache.mahout.math.VarIntWritable

All Implemented Interfaces:
  Cloneable, Comparable<VarIntWritable>, org.apache.hadoop.io.Writable, org.apache.hadoop.io.WritableComparable<VarIntWritable>

    public class VarIntWritable

extends Object
implements org.apache.hadoop.io.WritableComparable<VarIntWritable>, Cloneable

Constructor Summary
`VarIntWritable()`
`VarIntWritable(int value)`

Method Summary
`VarIntWritable` `clone()`
`int` `compareTo(VarIntWritable other)`
`boolean` `equals(Object other)`
`int` `get()`
`int` `hashCode()`
`void` `readFields(DataInput in)`
`void` `set(int value)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VarIntWritable

    public VarIntWritable()

### VarIntWritable

    public VarIntWritable(int value)

Method Detail

### get

    public int get()

### set

    public void set(int value)

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public VarIntWritable clone()

  Overrides:
    `clone` in class `Object`

### compareTo

    public int compareTo(VarIntWritable other)

  Specified by:
    `compareTo` in interface `Comparable<VarIntWritable>`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.